-- EMPTY TEMPLATE -- 
-- Fill with what functions you need --


-- knob sounds
    -- ipc.control(65823, 1) -- knob sound e.g avionics switch
    -- ipc.control(65823, 2) -- knob sound battery switch
    -- ipc.control(65823, 3) -- knob sound e.g round light switches
    -- ipc.control(65823, 4) -- knob sound MFD and AP soft keys?
    -- ipc.control(65823, 5) -- knob sound
    -- ipc.control(65823, 6) -- knob sound
    -- ipc.control(65823, 10) -- AP soft keys?
    -- ipc.control(65823, 11) -- soft keys, e.g. ALT dialer

-- ## System functions ##

function InitVars ()

    -- uncomment to disable display
     AutopilotDisplayBlocked ()

end

function Timer ()

    if _MCP2() then

        if ipc.readUD("2EE0") == 1 then
        FDVar = 1
        elseif ipc.readUD("2EE0") == 0 then
        FDVar = 0
        end

        DspFD(FDVar)

    end
end

-- ## just for testing ###############

function test_inc_init ()

     var = 0
end

function test_inc ()

    var = var + 1
    ipc.control(65823, var)
    ipc.display(var)
end

function test_dec ()

    var = var - 1
    ipc.control(65823, var)
    ipc.display(var)
end

-- ## dsp shows ###############

function ALT_show ()

	ipc.sleep(50) -- << waiting for FSX data update

	buffer = ipc.readLvar("L:AltSelAlt")/100
	if buffer < 0 then buffer = 0 end
	DspALT(buffer)

end

-- ## Electrics ###############

function F1Must_Batt_on ()


    if ipc.readLvar("MASTERBATT") == 0 then
    ipc.writeLvar("MASTERBATT", 1)
    ipc.control(66241)
    ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end

    DspShow("Batt", " on ")

end

function F1Must_Batt_off ()


    if ipc.readLvar("MASTERBATT") == 1 then
    ipc.writeLvar("MASTERBATT", 0)
    ipc.control(66241)
    ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end

    DspShow("Batt", " off")

end

function F1Must_Batt_toggle ()
    if _t("batt") then
        F1Must_Batt_on ()
    else
        F1Must_Batt_off ()
    end
end


function F1Must_GenL_on ()


    if ipc.readLvar("LEFTGEN") == 0 then
    ipc.writeLvar("LEFTGEN", 1)
    ipc.control(66363)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end

    DspShow("GenL", " on ")

end

function F1Must_GenL_off ()


    if ipc.readLvar("LEFTGEN") == 1 then
    ipc.writeLvar("LEFTGEN", 0)
    ipc.control(66363)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end

    DspShow("GenL", " off")

end

function F1Must_GenL_toggle ()
    if _t("GenL") then
        F1Must_GenL_on ()
    else
        F1Must_GenL_off ()
    end
end





function F1Must_GenR_on ()


    if ipc.readLvar("RIGHTGEN") == 0 then
    ipc.writeLvar("RIGHTGEN", 1)
    ipc.control(66364)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end

    DspShow("GenR", " on ")

end

function F1Must_GenR_off ()


    if ipc.readLvar("RIGHTGEN") == 1 then
    ipc.writeLvar("RIGHTGEN", 0)
    ipc.control(66364)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end

    DspShow("GenR", " off")

end

function F1Must_GenR_toggle ()
    if _t("GenR") then
        F1Must_GenR_on ()
    else
        F1Must_GenR_off ()
    end
end

function F1Must_Avionics_MASTER_on ()

	ipc.writeUW("2e80", 1)
    ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound
	DspShow ("AVIO ", "On  ")

end

function F1Must_Avionics_MASTER_off ()

	ipc.writeUW("2e80", 0)
    ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound
	DspShow ("AVIO", "Off ")

end

function F1Must_Avionics_MASTER_toggle ()

    if _t("avio") then

    F1Must_Avionics_MASTER_on ()

    else
    F1Must_Avionics_MASTER_off ()
    end
end



function F1Must_StbyAvionics_on ()
    ipc.writeLvar("STBYAVIONICS", 1)
    ipc.writeLvar("BIT", 1)
    ipc.writeLvar("BITAlt", 1)
    ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_StbyAvionics_off ()
    ipc.writeLvar("STBYAVIONICS", 0)
    ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound

end

function F1Must_StbyAvionics_toggle ()
    if _t("stbyavio") then
        F1Must_StbyAvionics_on ()
    else
        F1Must_StbyAvionics_off ()
    end


end


function F1Must_AvioANDStbyAvio_on ()

    F1Must_Avionics_MASTER_on ()
    _sleep(150, 400)
    F1Must_StbyAvionics_on ()
end

function F1Must_AvioANDStbyAvio_off ()

    F1Must_StbyAvionics_off ()
    _sleep(150, 400)
    F1Must_Avionics_MASTER_off ()
end

function F1Must_AvioANDStbyAvio_toggle ()
    if _t("avioandstby") then
        F1Must_AvioANDStbyAvio_on ()
    else
        F1Must_AvioANDStbyAvio_off ()
    end
end

-- ## Autopilot Knobs ###############

function F1Must_AP_knob_sound ()

    ipc.control(65823, 0)
    ipc.control(65823, 4)  -- sound
    ipc.sleep(100)
    ipc.control(65823, 10)  -- sound
end



function F1Must_FD_on ()
    ipc.control(65823, 30)
    F1Must_AP_knob_sound ()

   if _MCP2() then
   DspFD(1)
   end

end

function F1Must_FD_off ()
    ipc.control(65823, 54)
    F1Must_AP_knob_sound ()
    if _MCP2() then
   DspFD(0)
   end
end

function F1Must_FD_toggle ()
if _t("FD") then
    F1Must_FD_on ()
else
    F1Must_FD_off ()
end
end


function F1Must_AP_on ()
    ipc.control(65823, 57)
    F1Must_AP_knob_sound ()

end

function F1Must_AP_off ()
    ipc.control(65823, 58)
    F1Must_AP_knob_sound ()
end

function F1Must_AP_toggle ()
if _t("AP") then
    F1Must_AP_on ()
else
    F1Must_AP_off ()
end
end

function F1Must_AP_HDG_toggle ()
    ipc.control(65823, 50)
    F1Must_AP_knob_sound ()
end

function F1Must_AP_ALT_toggle ()
    ipc.control(65823, 59)
    F1Must_AP_knob_sound ()
end

function F1Must_AP_VS_toggle ()
    ipc.control(65823, 60)
    F1Must_AP_knob_sound ()
end

function F1Must_AP_FLC_toggle ()
    ipc.control(65823, 62)
    F1Must_AP_knob_sound ()
end

function F1Must_AP_SPD_toggle ()
    ipc.control(65823, 63)
    F1Must_AP_knob_sound ()
end



-- ## Autopilot dials ###############

function F1Must_HDG_inc ()

    F1HDG = ipc.readLvar("ApHdgKnob")

    F1HDG = F1HDG + 5
    if F1HDG >= 100 then
    F1HDG = 0
    end
    ipc.writeLvar("ApHdgKnob", F1HDG)
      ipc.control(65879)
      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end

function F1Must_HDG_fastinc ()

    F1HDG = ipc.readLvar("ApHdgKnob")

    F1HDG = F1HDG + 5
    if F1HDG >= 100 then
    F1HDG = 0
    end
    ipc.writeLvar("ApHdgKnob", F1HDG)
      i = 0
      while i < 10 do
      ipc.control(65879)
      i = i + 1
      end

      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end

function F1Must_HDG_dec ()

    F1HDG = ipc.readLvar("ApHdgKnob")

    F1HDG = F1HDG - 5
    if F1HDG <= 0 then
    F1HDG = 100
    end
    ipc.writeLvar("ApHdgKnob", F1HDG)
      ipc.control(65880)
      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end

function F1Must_HDG_fastdec ()

    F1HDG = ipc.readLvar("ApHdgKnob")

    F1HDG = F1HDG - 5
    if F1HDG <= 0 then
    F1HDG = 100
    end
    ipc.writeLvar("ApHdgKnob", F1HDG)

    i = 0
      while i < 10 do
      ipc.control(65880)
      i = i + 1
      end
      ipc.control(65879)
      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end


function F1Must_ALT_inc ()
      ipc.control(65823, 71)
      ipc.control(65823, 0)
      ipc.control(65823, 11) -- knob sound
    ipc.control(65823, 0) -- knob sound
end


function F1Must_ALT_inc_fast ()
      ipc.control(65823, 78)
      ipc.control(65823, 0)
      ipc.control(65823, 11) -- knob sound
    ipc.control(65823, 0) -- knob sound
end


function F1Must_ALT_dec ()
      ipc.control(65823, 70)
      ipc.control(65823, 0)
      ipc.control(65823, 11) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_ALT_dec_fast ()
      ipc.control(65823, 77)
      ipc.control(65823, 0)
      ipc.control(65823, 11) -- knob sound
    ipc.control(65823, 0) -- knob sound
end


function F1Must_VS_inc ()

    ipc.control(65894)
    F1VS = ipc.readLvar("VsWheel")

    F1VS = F1VS + 5
    if F1VS >= 100 then
    F1VS = 0
    end
    ipc.writeLvar("VsWheel", F1VS)
      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end

function F1Must_VS_fastinc ()

    ipc.control(65894)
    ipc.control(65894)
    ipc.control(65894)
    F1VS = ipc.readLvar("VsWheel")

    F1VS = F1VS + 10
    if F1VS >= 100 then
    F1VS = 0
    end
    ipc.writeLvar("VsWheel", F1VS)
      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end



function F1Must_VS_dec ()

    ipc.control(65895)
    F1VS = ipc.readLvar("VsWheel")

    F1VS = F1VS - 5
    if F1VS <= 0 then
    F1VS = 100
    end
    ipc.writeLvar("VsWheel", F1VS)
      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end

function F1Must_VS_fastdec ()

    ipc.control(65895)
    ipc.control(65895)
    ipc.control(65895)
    F1VS = ipc.readLvar("VsWheel")

    F1VS = F1VS - 10
    if F1VS <= 0 then
    F1VS = 100
    end
    ipc.writeLvar("VsWheel", F1VS)
      ipc.control(65823, 11) -- knob sound
      ipc.control(65823, 0) -- knob sound
end


-- ## G1000 MFD ###############

function F1Must_MFD_ZoomIn ()
    _G1000_MFD_ZOOMOUT_BUTTON ()
end

function F1Must_MFD_ZoomOut ()
    _G1000_MFD_ZOOMIN_BUTTON ()
end

function F1Must_MFD_GROUP_inc ()
    _G1000_MFD_GROUP_KNOB_INC ()
end

function F1Must_MFD_GROUP_dec ()
    _G1000_MFD_GROUP_KNOB_DEC ()
end

function F1Must_MFD_PAGE_inc ()
    _G1000_MFD_PAGE_KNOB_INC ()
end

function F1Must_MFD_PAGE_dec ()
    _G1000_MFD_PAGE_KNOB_DEC ()
end

function F1Must_MFD_DIRECTTO_BUTTON ()
    _G1000_MFD_DIRECTTO_BUTTON ()
end

function F1Must_MFD_MENU_BUTTON ()
    _G1000_MFD_MENU_BUTTON ()
end

function F1Must_MFD_CLEAR_BUTTON ()
    _G1000_MFD_CLEAR_BUTTON ()
end

function F1Must_MFD_ENTER_BUTTON ()
    _G1000_MFD_ENTER_BUTTON ()
end

function F1Must_MFD_CURSOR_BUTTON ()
    _G1000_MFD_CURSOR_BUTTON ()
end

function F1Must_MFD_FLIGHTPLAN_BUTTON ()
    _G1000_MFD_FLIGHTPLAN_BUTTON ()
end

function F1Must_MFD_PROCEDURE_BUTTON ()
    _G1000_MFD_PROCEDURE_BUTTON ()
end

function F1Must_MFD_Terrain ()
_G1000_MFD_GROUP_KNOB_DEC ()
_G1000_MFD_GROUP_KNOB_DEC ()
_G1000_MFD_GROUP_KNOB_DEC ()
    _G1000_MFD_SOFTKEY11 ()
    _G1000_MFD_SOFTKEY3 ()
    _G1000_MFD_SOFTKEY3 ()
    _G1000_MFD_SOFTKEY11 ()
end

function F1Must_MFD_Traffic()
_G1000_MFD_GROUP_KNOB_DEC ()
_G1000_MFD_GROUP_KNOB_DEC ()
_G1000_MFD_GROUP_KNOB_DEC ()
    _G1000_MFD_SOFTKEY11 ()
    _G1000_MFD_SOFTKEY3 ()
    _G1000_MFD_SOFTKEY1 ()
    _G1000_MFD_SOFTKEY11 ()
end

function F1Must_MFD_DCLTR()
_G1000_MFD_GROUP_KNOB_DEC ()
_G1000_MFD_GROUP_KNOB_DEC ()
_G1000_MFD_GROUP_KNOB_DEC ()
    _G1000_MFD_SOFTKEY11 ()
    _G1000_MFD_SOFTKEY10 ()

end

-- ## G1000 PFD ###############

function F1Must_PFD_ZoomIn ()
    _G1000_PFD_ZOOMOUT_BUTTON ()
end

function F1Must_PFD_ZoomOut ()
    _G1000_PFD_ZOOMIN_BUTTON ()
end

function F1Must_PFD_GROUP_inc ()
    _G1000_PFD_GROUP_KNOB_INC ()
end

function F1Must_PFD_GROUP_dec ()
    _G1000_PFD_GROUP_KNOB_DEC ()
end

function F1Must_PFD_PAGE_inc ()
    _G1000_PFD_PAGE_KNOB_INC ()
end

function F1Must_PFD_PAGE_dec ()
    _G1000_PFD_PAGE_KNOB_DEC ()
end

function F1Must_PFD_DIRECTTO_BUTTON ()
    _G1000_PFD_DIRECTTO_BUTTON ()
end

function F1Must_PFD_MENU_BUTTON ()
    _G1000_PFD_MENU_BUTTON ()
end

function F1Must_PFD_CLEAR_BUTTON ()
    _G1000_PFD_CLEAR_BUTTON ()
end

function F1Must_PFD_ENTER_BUTTON ()
    _G1000_PFD_ENTER_BUTTON ()
end

function F1Must_PFD_CURSOR_BUTTON ()
    _G1000_PFD_CURSOR_BUTTON ()
end

function F1Must_PFD_FLIGHTPLAN_BUTTON ()
    _G1000_PFD_FLIGHTPLAN_BUTTON ()
end

function F1Must_PFD_PROCEDURE_BUTTON ()
    _G1000_PFD_PROCEDURE_BUTTON ()
end


function F1Must_PFD_SOFTKEY6 ()
    _G1000_PFD_SOFTKEY6 ()
end

-- ## Engine Start ###############

function F1Must_RightStarter ()
      ipc.control(66301)
      ipc.writeLvar("REStartTimer", 63454196950.12)

      ipc.writeLvar("MustangRightStarter", 1)
      ipc.control(65823, 4)
end

function F1Must_LeftStarter ()
      ipc.control(66300)
      ipc.writeLvar("LEStartTimer", 63454196950.12)

      ipc.writeLvar("MustangLeftStarter", 1)
      ipc.control(65823, 4)
end


function F1Must_StartDiseng ()

    StartL = ipc.readLvar("LEStartTimer")
    StartR = ipc.readLvar("REStartTimer")

    if StartL > 0 then
    ipc.control(66300)
    ipc.writeLvar("STARTDISENG", 1)
    ipc.sleep(100)
    ipc.writeLvar("STARTDISENG", 0)
    ipc.writeLvar("LEStartTimer", 0)
    ipc.writeLvar("MustangLeftStarter", 0)

    DspShow("Strt", "Loff")
    end

    if StartR > 0 then
    ipc.control(66301)
    ipc.writeLvar("STARTDISENG", 1)
    ipc.sleep(100)
    ipc.writeLvar("STARTDISENG", 0)
    ipc.writeLvar("REStartTimer", 0)
    ipc.writeLvar("MustangRightStarter", 0)
    DspShow("Strt", "Roff")
    end
    ipc.control(65823, 4)
end




function F1Must_CutOffR_off ()
       ipc.writeUB("3594", 0)
       ipc.writeLvar("RightFuelValve", 0)
       ipc.writeLvar("RightThrottlePos", 4)
       DspShow("RCut", " off")
end

function F1Must_CutOffR_on ()
       ipc.writeUB("3594", 1)
       ipc.writeLvar("RightFuelValve", 1)
       ipc.writeLvar("RightThrottlePos", 0)
       DspShow("RCut", " on ")
end


function F1Must_CutOffL_off ()
       ipc.writeUB("3590", 0)
       ipc.writeLvar("LeftFuelValve", 0)
       ipc.writeLvar("LeftThrottlePos", 4)
       DspShow("LCut", " off")
end

function F1Must_CutOffL_on ()
       ipc.writeUB("3590", 1)
       ipc.writeLvar("LeftFuelValve", 1)
       ipc.writeLvar("LeftThrottlePos", 0)
       DspShow("LCut", " on ")
end



-- ## Lights ###############

function F1Must_InstrLights_on ()


    if ipc.readLvar("panel_lights") == 0 then
    ipc.writeLvar("panel_lights", 1)

    ipc.control(65823, 3) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end
end

function F1Must_InstrLights_off ()


    if ipc.readLvar("panel_lights") == 1 then
    ipc.writeLvar("panel_lights", 0)

    ipc.control(65823, 3) -- knob sound
    ipc.control(65823, 0) -- knob sound
    end
end

function F1Must_InstrLights_toggle ()
    if _t("instrL") then
      F1Must_InstrLights_on ()
    else
      F1Must_InstrLights_off ()
    end
end

function F1Must_G1000Brightness_show ()
     G1000Bright = ipc.readLvar("G1000DimBright")
     DspShow("Dim", G1000Bright .. "%")
end


function F1Must_G100Bright_full ()

    ipc.writeLvar("G1000DimBright", 100)

    ipc.control(65823, 3) -- knob sound
    ipc.control(65823, 0) -- knob sound

    F1Must_G1000Brightness_show ()
end

function F1Must_G100Bright_dimm ()

    ipc.writeLvar("G1000DimBright", 35)

    ipc.control(65823, 3) -- knob sound
    ipc.control(65823, 0) -- knob sound

    F1Must_G1000Brightness_show ()
end

function F1Must_G1000Bright_inc ()
    G1000Bright = ipc.readLvar("G1000DimBright")

    if G1000Bright <= 100 then
    G1000Bright = G1000Bright + 5
    ipc.writeLvar("G1000DimBright", G1000Bright)

    if G1000Bright >= 100 then
    ipc.writeLvar("G1000DimBright", 100)
    end
    F1Must_G1000Brightness_show ()
    end
end

function F1Must_G1000Bright_dec ()
    G1000Bright = ipc.readLvar("G1000DimBright")

    if G1000Bright >= 0 then
    G1000Bright = G1000Bright - 5
    ipc.writeLvar("G1000DimBright", G1000Bright)

    if G1000Bright <= 0 then
    ipc.writeLvar("G1000DimBright", 0)
    end
    F1Must_G1000Brightness_show ()
    end
end


function F1Must_WingLight_on ()

    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
    ipc.setbitsUW("0D0C", 128)

    DspShow("Wing", " on ")
end

function F1Must_WingLight_off ()

    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
    ipc.clearbitsUW("0D0C", 128)

    DspShow("Wing", " off")
end

function F1Must_WingLight_toggle ()
    if _t("WL") then
        F1Must_WingLight_on ()
    else
        F1Must_WingLight_off ()
    end
end

function F1Must_LandingLights_on ()
         ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
     ipc.writeLvar("LANDRECTAXI", 2)
end

function F1Must_TaxiLights_on ()
         ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
     ipc.writeLvar("LANDRECTAXI", 1)
end

function F1Must_LandingLights_off ()
      F1Must_TaxiLights_on ()
          ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_TaxiLights_off ()
           ipc.writeLvar("LANDRECTAXI", 0)
               ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

-- ## AntiIce ###############

function F1Must_Windshield_L_deice_on ()
    ipc.writeLvar("WINDSHIELDLEFTANTICE", 1)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Windshield_L_deice_off ()
    ipc.writeLvar("WINDSHIELDLEFTANTICE", 0)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Windshield_L_deice_toggle ()
    if _t("WSLice") then
      F1Must_Windshield_L_deice_on ()
    else
      F1Must_Windshield_L_deice_off ()
    end
end


function F1Must_Windshield_R_deice_on ()
    ipc.writeLvar("WINDSHIELDRIGHTANTICE", 1)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Windshield_R_deice_off ()
    ipc.writeLvar("WINDSHIELDRIGHTANTICE", 0)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Windshield_R_deice_toggle ()
    if _t("WSRice") then
      F1Must_Windshield_R_deice_on ()
    else
      F1Must_Windshield_R_deice_off ()
    end
end

function F1Must_Windshield_LR_deice_on ()
    F1Must_Windshield_R_deice_on ()
    ipc.sleep(100)
    F1Must_Windshield_L_deice_on ()
end

function F1Must_Windshield_LR_deice_off ()
    F1Must_Windshield_R_deice_off ()
    ipc.sleep(100)
    F1Must_Windshield_L_deice_off ()
end

function F1Must_Windshield_LR_deice_toggle ()
    if _t("WSice") then
     F1Must_Windshield_LR_deice_on ()
    else
     F1Must_Windshield_LR_deice_off ()
    end
end


function F1Must_Wingstab_deice_on ()
    ipc.writeLvar("WINGSTABDEICE", 1)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Wingstab_deice_off ()
    ipc.writeLvar("WINGSTABDEICE", 0)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Wingstab_deice_toggle ()
    if _t("WStabice") then
      F1Must_Wingstab_deice_on ()
    else
      F1Must_Wingstab_deice_off ()
    end
end

function F1Must_Pitot_on ()
    ipc.writeLvar("PITOTSTALL", 1)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Pitot_off ()
    ipc.writeLvar("PITOTSTALL", 0)
    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Pitot_toggle ()
    if _t("pitot") then
      F1Must_Pitot_on ()
    else
      F1Must_Pitot_off ()
    end
end

function F1Must_Engine_L_AntiIce_on ()
    ipc.writeUB("08B2", 1)
     ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Engine_L_AntiIce_off ()
    ipc.writeUB("08B2", 0)
     ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Engine_L_AntiIce_toggle ()
    if _t("elice") then
     F1Must_Engine_L_AntiIce_on ()
    else
     F1Must_Engine_L_AntiIce_off ()
    end
end

function F1Must_Engine_R_AntiIce_on ()
    ipc.writeUB("094A", 1)
     ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Engine_R_AntiIce_off ()
    ipc.writeUB("094A", 0)
     ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
end

function F1Must_Engine_R_AntiIce_toggle ()
    if _t("elice") then
     F1Must_Engine_R_AntiIce_on ()
    else
     F1Must_Engine_R_AntiIce_off ()
    end
end

function F1Must_IceProtect_on ()
      F1Must_Engine_L_AntiIce_on ()
      _sleep(100, 300)
      F1Must_Engine_R_AntiIce_on ()
      _sleep(100, 300)
      F1Must_Wingstab_deice_on ()
      _sleep(100, 300)
      F1Must_Windshield_L_deice_on ()
      _sleep(100, 300)
      F1Must_Windshield_R_deice_on ()
end

function F1Must_IceProtect_off ()
      F1Must_Engine_L_AntiIce_off ()
      _sleep(100, 300)
      F1Must_Engine_R_AntiIce_off ()
      _sleep(100, 300)
      F1Must_Wingstab_deice_off ()
      _sleep(100, 300)
      F1Must_Windshield_L_deice_off ()
      _sleep(100, 300)
      F1Must_Windshield_R_deice_off ()
end

function F1Must_IceProtect_toggle ()
    if _t("allice") then
      F1Must_IceProtect_on ()
    else
       F1Must_IceProtect_off ()
    end
end

-- ## Other ###############

function F1Must_signs_seat ()
     ipc.writeLvar("PAXSAFETYSEATBELT", 1)

    ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
     ipc.clearbitsUW("0D0C", 64)
    ipc.control(65823, 300) --  sound
    ipc.control(65823, 0) --  sound
end

function F1Must_signs_safety ()
     ipc.writeLvar("PAXSAFETYSEATBELT", 2)
     ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound

    ipc.setbitsUW("0D0C", 64)

    ipc.control(65823, 300) --  sound
    ipc.control(65823, 0) --  sound
end

function F1Must_signs_off ()
     ipc.writeLvar("PAXSAFETYSEATBELT", 0)
     ipc.control(65823, 1) -- knob sound
    ipc.control(65823, 0) -- knob sound
    ipc.clearbitsUW("0D0C", 64)
end

function F1Must_AntiSkid_on ()
     ipc.writeLvar("ANTISKID", 1)
     ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound
    ipc.control(65823, 329) --  sound
    ipc.control(65823, 0) --  sound
    DspShow("ASkd", " on ")
end

function F1Must_AntiSkid_off ()
     ipc.writeLvar("ANTISKID", 0)
     ipc.control(65823, 2) -- knob sound
    ipc.control(65823, 0) -- knob sound
    DspShow("ASkd", " off")
end



-- ## Cockpit prepare ###############

function F1Must_CockpitPrepare ()

    ipc.control(65823, 2)     -- senseless sound
    ipc.control(65823, 0)
    ipc.writeLvar("Yoke_Pilot", 1)
    ipc.writeLvar("Yoke_CoPilot", 1)
end